From be80f11fb6bf38f4db39a9254694961782892399 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 7 Jan 2015 22:20:56 -0500
Subject: projects: January 7th 2015 update

Interpreter Volume: Add chapters for frames, history, undo, exposure groups

Failing regression tests were fixed.

Update bug reports with failing test cases.

Clean up zips directory. Delete CCL, Meta, tla

Move videos link up

Create a docker image
---
 changelog                      |    2 ++
 patch                          |   27 ++++++++++-----------------
 projects                       |   27 +++++++++++++++++++++++----
 src/axiom-website/patches.html |    2 ++
 4 files changed, 37 insertions(+), 21 deletions(-)

diff --git a/changelog b/changelog
index aecf603..0f91089 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150107 tpd src/axiom-website/patches.html 20150107.08.tpd.patch
+20150107 tpd projects: January 7th 2015 update
 20150107 tpd src/axiom-website/patches.html 20150107.07.tpd.patch
 20150107 tpd src/input/* review and improve test cases
 20150107 tpd src/axiom-website/patches.html 20150107.06.tpd.patch
diff --git a/patch b/patch
index 2a5fbc8..b8aa3eb 100644
--- a/patch
+++ b/patch
@@ -1,20 +1,13 @@
-src/input/* review and improve test cases
+projects: January 7th 2015 update
 
-src/input/charlwood.input.pamphlet
-src/input/cmds.input.pamphlet
-src/input/cohen1.input
-src/input/derham2.input.pamphlet
-src/input/dop.input.pamphlet
-src/input/en.input.pamphlet
-src/input/grpthry.input.pamphlet
-src/input/guess.input.pamphlet
-src/input/i2e.input.pamphlet
-src/input/liska.input.pamphlet
-src/input/numericgamma.input.pamphlet
-src/input/overload.input.pamphlet
-src/input/setcmd.input.pamphlet
-src/input/test.input.pamphlet
-src/input/unittest1.input.pamphlet
-src/input/unittest2.input.pamphlet
+Interpreter Volume: Add chapters for frames, history, undo, exposure groups
 
+Failing regression tests were fixed. 
 
+Update bug reports with failing test cases.
+
+Clean up zips directory. Delete CCL, Meta, tla
+
+Move videos link up
+
+Create a docker image
diff --git a/projects b/projects
index fba8c2e..655cdd5 100644
--- a/projects
+++ b/projects
@@ -1,6 +1,10 @@
 This file contains notes on current development projects in Axiom
 
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom Literate Programming
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom continuous integration
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
@@ -16,7 +20,6 @@ Axiom continuous integration
 
      - rework makefiles for jenkins builds
      - rework src/input for jenkins builds
-       * fix failing regression tests
 
   2) move to a continuous integration model so that every change
      gets built, tested, and pushed immediately. 
@@ -169,8 +172,6 @@ Axiom buglist
 
   1) pick a bug and fix it
 
-    * Add )savesystem restore failure to buglist
-
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom algebra availability documentation
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -368,6 +369,18 @@ Axiom development ideas
  * merge databases into defstruct form in-memory storage
 
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom website
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom ports
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom misc. updates
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            DONE
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
@@ -376,5 +389,11 @@ Axiom development ideas
   * added a Signatures chapter to the Axiom Interpreter volume
   * added signatures of some lisp functions
   * clean up the defvar syntax
-
+  * clean up failing test cases
+  * clean up zips directory. Delete CCL, Meta, tla
+  * Add chapters for frames, history, undo, exposure groups
+  * Move videos link up
+  * Fixed failing regression tests
+  * Updated buglist
+  * Create a docker image
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b119d05..c3b0712 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4936,6 +4936,8 @@ buglist: bug 7294: GuessOption: displayAsGF not set<br/>
 buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced<br/>
 <a href="patches/20150107.07.tpd.patch">20150107.07.tpd.patch</a>
 src/input/* review and improve test cases<br/>
+<a href="patches/20150107.08.tpd.patch">20150107.08.tpd.patch</a>
+projects: January 7th 2015 update<br/>
  </body>
 </html>
 
-- 
1.7.5.4

